summary refs log tree commit diff stats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh25
1 files changed, 15 insertions, 10 deletions
diff --git a/autogen.sh b/autogen.sh
index b1e4db22..d669a37b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,19 +4,24 @@
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-NOCONFIGURE=1
-PKG_NAME="hexchat"
-
 (test -f $srcdir/src/common/hexchat.c) || {
-	echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-	echo " top-level $PKG_NAME directory"
+	echo -n "**Error**: Directory "\`$srcdir\'" does not look like the top-level directory"
 	exit 1
 }
 
-which gnome-autogen.sh || {
-	echo "You need to install gnome-common"
-	exit 1
-}
+aclocal --install -I m4 || exit 1
+glib-gettextize --force --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --force --install -Wno-portability || exit 1
+
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
 
-. gnome-autogen.sh
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
 
+set +x